Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001041Zandronum[All Projects] Bugpublic2012-09-16 12:122018-08-27 18:03
Reporterunknownna 
Assigned ToLeonard 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.0 
Target VersionFixed in Version3.1 
Summary0001041: +attack desync between clients causes ammo values to desync
DescriptionSee attached screenshot. If a client is tapping +attack rather fast, for instance when "sniping" with the chaingun, it can cause the ammo counter and coop spy view to desync.
Steps To Reproduce1. zandronum -host +sv_cheats 1
2. Connect 2 clients to the server.
3. Join the game with client A.
4. "give all" in the console with client A.
5. Select the chaingun with client A.
6. Coop spy on client A with client B.
7. Copy-paste "+attack;wait 1;-attack;wait 4;+attack;wait 1;-attack;wait 4;+attack;wait 1;-attack;wait 5;+attack;wait 1;-attack;wait 4;+attack;wait 1;-attack;wait 5;+attack;wait 1;-attack;wait 4;+attack;wait 1;-attack;wait 5;+attack;wait 1;-attack" into the console with Client A.
Client B's observed ammo counter will only keep falling further behind each time the bind is used.

Additional InformationI set the severity to major since it's another weapon/ammo desync issue.
Attached Filespng file icon screenshot.png [^] (74,285 bytes) 2012-09-16 12:12

- Relationships
related to 0000553confirmed SSG A_CheckReload coop spy desync 
related to 0001020resolvedLeonard BFG coop spy sound desync 
related to 0000540resolvedLeonard Weapon selection is desynced between clients 
related to 0000423closed "switchonpickup" alias desyncs the coop spy/info for newly connected clients 

-  Notes
User avatar (0004701)
ZzZombo (reporter)
2012-09-16 12:31

An old bug, that kept since at least v98d.
User avatar (0004727)
Llewellyn (reporter)
2012-09-20 19:50

This also causes weapons to switch to the wrong weapon prematurely, causing weapon desynchronization and thus ammo desync on other weapons too.
User avatar (0019428)
unknownna (updater)
2018-08-27 06:42

Made a bind that reproduces the issue quickly and reliably.
User avatar (0019439)
unknownna (updater)
2018-08-27 18:03

Same thing here as in the other ticket, the issue seems to have been fixed in 3.1 with the unlagged fixes and the addition of a movement regulator buffer thing.

Great work, thanks!

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: ZzZombo unknownna
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2012-09-16 12:12 unknownna New Issue
2012-09-16 12:12 unknownna File Added: screenshot.png
2012-09-16 12:12 unknownna Status new => confirmed
2012-09-16 12:31 ZzZombo Note Added: 0004701
2012-09-20 19:50 Llewellyn Note Added: 0004727
2018-08-27 06:42 unknownna Note Added: 0019428
2018-08-27 06:42 unknownna Description Updated View Revisions
2018-08-27 06:42 unknownna Steps to Reproduce Updated View Revisions
2018-08-27 06:42 unknownna Additional Information Updated View Revisions
2018-08-27 06:43 unknownna Reproducibility sometimes => always
2018-08-27 06:46 unknownna Relationship added related to 0000553
2018-08-27 06:49 unknownna Relationship added related to 0001020
2018-08-27 06:53 unknownna Relationship added related to 0000540
2018-08-27 07:24 unknownna Relationship added related to 0000423
2018-08-27 18:03 unknownna Note Added: 0019439
2018-08-27 18:03 unknownna Assigned To => Leonard
2018-08-27 18:03 unknownna Status confirmed => resolved
2018-08-27 18:03 unknownna Resolution open => fixed
2018-08-27 18:03 unknownna Fixed in Version => 3.1






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker